Loading...
Searching...
No Matches
graph.h File Reference

Graph algorithm using boost library. More...

Go to the source code of this file.

## Classes

class | gtsam::SDGraph< KEY >
| SDGraph is undirected graph with variable keys and double edge weights. More...
class | gtsam::SGraph< KEY >
class | gtsam::PredecessorMap< KEY >
| Map from variable key to parent key. More...

## Namespaces

namespace | gtsam
| Global functions in a separate testing namespace.

## Functions

template<class KEY>
std::list< KEY > | gtsam::predecessorMap2Keys (const PredecessorMap< KEY > &p_map)
| Generate a list of keys from a spanning tree represented by its predecessor map.
template<class G, class F, class KEY>
SDGraph< KEY > | gtsam::toBoostGraph (const G &graph)
| Convert the factor graph to an SDGraph G = Graph type F = Factor type Key = Key type.
template<class G, class V, class KEY>
boost::tuple< G, V, std::map< KEY, V > > | gtsam::predecessorMap2Graph (const PredecessorMap< KEY > &p_map)
| Build takes a predecessor map, and builds a directed graph corresponding to the tree.
template<class G, class Factor, class POSE, class KEY>
boost::shared_ptr< Values > | gtsam::composePoses (const G &graph, const PredecessorMap< KEY > &tree, const POSE &rootPose)
| Compose the poses by following the chain specified by the spanning tree.
template<class G, class KEY, class FACTOR2>
PredecessorMap< KEY > | gtsam::findMinimumSpanningTree (const G &g)
| find the minimum spanning tree using boost graph library
template<class G, class KEY, class FACTOR2>
void | gtsam::split (const G &g, const PredecessorMap< KEY > &tree, G &Ab1, G &Ab2)
| Split the graph into two parts: one corresponds to the given spanning tree, and the other corresponds to the rest of the factors.

## Detailed Description

Graph algorithm using boost library.

Author
  : Kai Ni

Date
  Jan 11, 2010